﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="task">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating an Entitlement Type</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating an Entitlement Type</h1>
        <p>To create an entitlement type:</p>
        <ol>
            <li>
                <p>In the Home page, click the&#160;<strong>ARS </strong>tab.</p>
            </li>
            <li>
                <p>Click the&#160;<strong>Manage Entitlement Types</strong>&#160;tile and click&#160;<strong>Create New Entitlement Type</strong>.</p>
            </li>
            <li>
                <p>Specify the entitlement type details and click&#160;<strong>Create</strong>. The create confirmation message is displayed. <br />For information about entitlement type details, see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-Entitlements.htm">Creating Entitlements</MadCap:xref>.</p>
            </li>
            <li>
                <p>In&#160;the <b>Entitlement Type Show</b> page, click the&#160;<strong>Entitlement Type Details</strong>&#160;tab and specify the following:</p>
            </li>
        </ol>
        <div class="table-wrap">
            <table style="width: 100.0%;margin-left: 0;margin-right: auto;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col style="width: 14.7196%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 85.2025%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                            <p class="table-text">Parameter</p>
                        </th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                            <p class="table-text">Description</p>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Entitlement Type Name</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p align="left" class="table-text">The name of the entitlement.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Display Name</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Display name of the entitlement type.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Entitlement Type Description</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the appropriate description about entitlement type.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Endpoint Name</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Endpoint associated with&#160;entitlement type.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Add Workflow</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Workflow&#160;associated with&#160;entitlement type.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p align="left" class="table-text">Custom property 1 to 5</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p align="left" class="table-text">Any custom property values defined in the third-party application.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Config For Available Entitlement In Service Account</p>
                        </td>
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <div class="content-wrapper">
                                <p>Specify the query to limit the display of the entitlements in Available Entitlements for service accounts. You can use the ‘<strong>requestor</strong>’ and ‘<strong>requestee</strong>’ objects in the query to filter the entitlements to be displayed in the Available Entitlements. As service accounts are not co-related to any end users, hence ‘<strong>requestor’</strong> and ‘<strong>requestee’</strong> are referred to as the logged-in user.</p>
                                <p>For Example:</p>
                                <p>Say the endpoint has 2 types of service account types – ‘Service Account’ and ‘Functional Account’. Here’s how you can limit the display of entitlements based on user context.<br /><span class="attr">{"Service Account":"ev.customproperty1 in (select city from Users where userkey=${requestor})",&#160;"Functional Account":"ev.customproperty2 in (select title from Users where userkey=${requestor})"}</span></p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <ul>
                                        <li>
                                            <p class="note">In the above syntax, the variables and table names used are case-sensitive.</p>
                                        </li>
                                        <li>
                                            <p class="note">The requestor and requestee objects are supported.</p>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p align="left" class="table-text"><span style="color: rgb(0,51,102);">Config For Selected Entitlement In Service Account</span>
                            </p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <div class="content-wrapper">
                                <p align="left">Specify the query to limit the display of the entitlements in Selected Entitlements for service accounts. You can use the ‘<strong>requestor</strong>’ and ‘<strong>requestee</strong>’ objects in the query to filter the entitlements to be displayed in the Available Entitlements. . As service accounts are not co-related to any end-users, hence ‘<strong>requestor’</strong> and ‘<strong>requestee’</strong> are referred to as the logged-in user.<br /></p>
                                <p align="left">For Example:<br /><span style="color: black;">Say the endpoint has 2 types of service account types – ‘Service Account’ and ‘Functional Account’. Here’s how you can limit the display of entitlements based on user context.</span></p>
                                <p align="left"><span class="attr">{"Service Account":"ev.customproperty1 in (select city from Users where userkey=${requestor}) and ev.customproperty2='allowremove'",&#160;"Functional Account ":"ev.customproperty2 in (select title from Users where userkey=${requestor})"}</span>
                                </p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">In the above syntax, the variables and table names used are case-sensitive.</p>
                                    <p class="note">The requestor and requesteeobjects are supported.</p>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p align="left" class="table-text">Config For Requestable Entitlement In ARS</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <div class="content-wrapper">
                                <p align="left">Specify the query based on the logged-in user or the user(s) for which request is being placed respectively to limit the display of the entitlements in Available Entitlements. You can use the ‘requestor’ and ‘requestee’ objects in the query to filter the entitlements to be displayed in the Available Entitlements.<br /><br />For Example.&#160;</p>
                                <ul>
                                    <li>Add the below query to display the entitlement in the request form, when the value specified in customproperty1 is selected from dynamicAttribute1.<pre xml:space="preserve">ev.customproperty1='$<span style="color: rgb(24,50,71);">{&lt;DynamicAttributeName&gt;}</span>'</pre></li>
                                    <li>Filter entitlements based on the user(s) for whom the request is being placed.<pre xml:space="preserve">ev.customproperty1 in (select city from Users where userkey in (${requestee}))&#160;</pre></li>
                                    <li>Filter entitlements based on the requestor.<pre xml:space="preserve">ev.customproperty1 in (select city from Users where userkey in (${requestor}))</pre></li>
                                </ul>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <ul>
                                        <li>
                                            <p class="note">In the above syntax, the variables and table names used are case-sensitive.</p>
                                        </li>
                                        <li>
                                            <p class="note">Therequestorandrequesteeobjects are supported.</p>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p align="left" class="table-text"><span style="color: rgb(0,51,102);">Config For Selected Entitlement In ARS</span>
                            </p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <div class="content-wrapper">
                                <p align="left">Specify the query based on the logged-in user or the user(s) for which request is being placed respectively to limit the display of the entitlements in Selected Entitlements using the ‘requestor’ and ‘requestee’ objects.<br /><br />For Example.&#160;</p>
                                <ul>
                                    <li>Filter entitlements based on the user(s) for whom the request is being placed.<pre xml:space="preserve">ev.customproperty1 in (select city from Users where userkey in (${requestee}))</pre></li>
                                    <li>Filter entitlements based on the requestor<pre xml:space="preserve">ev.customproperty1 in (select city from Users where userkey in (${requestor}))</pre></li>
                                </ul>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <ul>
                                        <li>
                                            <p class="note">In the above syntax, the variables and table names used are case-sensitive.</p>
                                        </li>
                                        <li>
                                            <p class="note">The requestor and requestee objects are supported.</p>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p align="left" class="table-text">Create Task Action</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p align="left" class="table-text">Displays the entitlements in Selected Entitlements table in ARS.</p>
                            <p align="left" class="table-text">To define the behavior of task creation when entitlement values are modified.</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>Remove&#160;task&#160;for&#160;existing&#160;entitlements:</strong>&#160;It is applicable for the single valued entitlement types. Select this option to create the&#160;remove&#160;access&#160;task&#160;for the&#160;existing&#160;entitlement value.<br />For&#160;entitlements&#160;requested using a&#160;<strong>drop down (single)</strong>&#160;format, if an&#160;existing&#160;value is modified to a new one and this option is selected, then a separate&#160;remove&#160;access&#160;task&#160;will be created the&#160;existing&#160;entitlement value. Also, when this is enabled, the details of the&#160;existing&#160;entitlement which is going to be removed will also displayed&#160;on the final step of&#160;request submission.&#160;<br />In case, this configuration is not enabled, then a separate remove access task will not be created for the existing entitlement. But on completion of the add access task created for adding the new entitlement, the existing entitlement will be removed automatically.</p>
                                </li>
                                <li>
                                    <p class="table-text"><b>Enable Rollback</b>:&#160;It is applicable for the single valued entitlement types.<br />If this is selected, then on removal of an entitlement value which belongs to a drop down (single) type of&#160;entitlements, add access tasks will be created for the entitlement value which was present earlier to the current entitlement value.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>No Action</strong>&#160;- No explicit&#160;remove&#160;access&#160;task&#160;will be created for the&#160;existing&#160;entitlements&#160;for the single valued entitlement types. So, if an&#160;existing&#160;entitlement value is modified to a new entitlement value, then we will only see an add access&#160;task&#160;for the new value. <br />No separate&#160;remove&#160;access&#160;task&#160;will be created in this case for the&#160;existing&#160;entitlement value.<br />However, on provisioning the add access&#160;task&#160;for the new entitlement, the&#160;existing&#160;entitlement will be removed for user's account.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p align="left" class="table-text">Config JSON for Request Dates</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p align="left" class="table-text">JSON to display the <strong>Request Date&#160;</strong>option while requesting for entitlement type. <br />Sample JSON:</p>
                            <MadCap:codeSnippet>
                                <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                                <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: PlainText;">{
  "ENDDATEREQUIRED": "1",
  "DEFAULTTIMEFRAMEHRS": "X",
  "MAXTIMEFRAMEHRS": "3"
}   </MadCap:codeSnippetBody>
                            </MadCap:codeSnippet>
                            <p class="table-text">where, MAXTIMEFRAMEHRS- Specifies the maximum duration for raising an entitlement request. </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Ask For Start Date While Revoke Request</p>
                        </td>
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To make the selection of start date mandatory while requesting for revoke entitlement.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Ask For Start Date End Date While Request</p>
                        </td>
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To make the selection of start date and end date mandatory while requesting for selected entitlement.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Allow Remove All Entitlement While Request</p>
                        </td>
                        <td colspan="1" style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To display the <strong>Remove All </strong>option while requesting for entitlement type. This can be enabled or disabled through a button.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p align="left" class="table-text">Enable Provisioning Priority</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p align="left" class="table-text">To prioritize the requests raised for this entitlement.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Allow Update of Access End Date</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <div class="content-wrapper">
                                <p class="auto-cursor-target">You can use this parameter to enable or disable option to allow an end user to request for modifying the application access end date&#160;</p>
                            </div>
                            <p class="table-text">The following options are available:</p>
                            <ul>
                                <li><strong>ON</strong><span> - Select this option to show update application access end date icon <img src="../Resources/Images/ars-icon-updt-accs-end-date.png" style="width: 27px;height: 25px;" /> in&#160;<span style="color: rgb(23,43,77);"><strong>Request Access, Request Access for Others </strong>and <strong>Manage Service Accounts</strong> tiles.</span></span>
                                </li>
                                <li class="auto-cursor-target"><strong>OFF</strong><span> -&#160;Select this option to hide&#160;<span>update application access end date icon&#160;<img src="../Resources/Images/ars-icon-updt-accs-end-date.png" />&#160;in&#160;<span style="color: rgb(23,43,77);"><strong>Request Access, Request Access for Others </strong>and <strong>Manage Service Accounts</strong> tiles.</span></span></span>
                                </li>
                            </ul>
                            <div class="confluence-information-macro confluence-information-macro-note conf-macro output-block">
                                <div class="confluence-information-macro-body">
                                    <p>This parameter is viewed, only when the <span style="color: rgb(23,43,77);"><strong>Ask For Start Date End Date While Request</strong> parameter is set as '</span><strong style="text-align: left;">ON</strong><span style="color: rgb(23,43,77);">'.</span></p>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Show On</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">You can use this parameter to define whether to show the entitlement type while requesting access for accounts, service accounts, or both. The options are:</p>
                            <ul>
                                <li><strong>Standard Account Request:&#160;</strong>Select this option to show the entitlement type only while requesting access for self or on behalf of other users using the&#160;<span style="color: rgb(23,43,77);"><strong>Request Access for Self</strong> and <strong>Request Access for Others</strong> pages.</span></li>
                                <li><strong>Service Account Request:&#160;</strong>Select this option to show the entitlement type only while requesting access for a service account using the <strong>Manage Service Accounts</strong> page.</li>
                                <li><strong>All Requests:&#160;</strong>Select this option to show the entitlement type while requesting account access for self, others, and for service accounts using&#160;<span style="color: rgb(23,43,77);"><strong>Request Access for Self,</strong>  &#160;<strong>Request Access for Others</strong>&#160;and <strong>Manage Service Accounts</strong> pages.</span></li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <ol MadCap:continue="true">
            <li>
                <p>Click <strong>Update</strong>.</p>
            </li>
            <li>
                <p>In <b>Entitlement Type Show</b> page, click the&#160;<strong>Privileges </strong>tab.</p>
            </li>
            <li>
                <p>Click Add Attribute,&#160;specify&#160;the required attributes for the entitlement type and then click <strong>Submit</strong>.</p>
            </li>
        </ol>
        <p>You can use the <strong>Delete Attributes</strong> option to delete an attribute.</p>
        <p>A confirmation&#160;message is displayed as the&#160;attribute is added in IGA.</p>
    </body>
</html>